#include <gtk/gtk.h>

#define PROGRAM "MRS8 Manager"
#define VERSION "v1.00"
#define MAX_PROJECTS 1000
#define MAX_TRACKS 10
#define MAX_VTAKES 10

gint		on_quit(GtkMenuItem *mi, gpointer data);

void
on_open                                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_close                               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about                               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_songname_changed                    (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_project_up                          (GtkButton       *button,
                                        gpointer         user_data);

void
on_project_down                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_project_copy                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_measure_copy                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_measure_paste                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_measure_delete                      (GtkButton       *button,
                                        gpointer         user_data);

GtkWidget* create_MainWindow (void);
GtkWidget* create_ProgressWindow (void);

void
on_track2wave                          (GtkButton       *button,
                                        gpointer         user_data);

void
on_track_delete                        (GtkButton       *button,
                                        gpointer         user_data);
